function [g] = bowTieGouy(R, L, h)
% This models the gouy phase for a rectangular gouy phase cavity

mir = @(R) [1,0; -2/R,1];
length = @(L) [1,L; 0 1];
newQ = @(ABCD,q) (ABCD(1,1) * q + ABCD(1,2))/(ABCD(2,1)*q+ABCD(2,2));

L2 = sqrt(h^2 + L^2);
Long = 2*L2+L;
cavity = length(Long) * mir(R) * length(L) * mir(R);

a = cavity(2,1);
b = cavity(2,2)-cavity(1,1);
c = -cavity(1,2);

q0 = (-b - sqrt(b^2-4*a*c))/(2*a);
q1 = newQ(mir(R), q0);


g0 = angle(q0) -angle(q0-Long);
g1 = angle(q1+L) - angle(q1);
g = -180/pi*(g0+g1);
