function [XY] = makeRadiusIndex(xi, yi, xmax, ymax, r) 
% function [XY] = makeRadius(xi, yi, xmax, ymax,r) 

% makes an array of indices within R of XI and YI
% checks for less than 1

xvec = -r:r;
yvec = -r:r;
[X,Y] = meshgrid(xvec, yvec);
Rsq = X.^2 + Y.^2;
[xidx, yidx] = find(Rsq <= r^2);
xr = xvec(xidx) + xi;
yr = yvec(yidx) + yi;

ii= find(xr >= 1 & xr < xmax);
xr = xr(ii);
yr = yr(ii);
ii= find(yr >= 1 & yr < ymax);
xr = xr(ii);
yr = yr(ii);

XY = [xr' yr'];
end

